#!/bin/bash

DOMAINE=$1
HOSTNAME=$(hostname)
IP=$(hostname -I | cut -d' ' -f2 )
echo 'DEBUT script Install_dns.sh' $HOSTNAME  $IP

echo "[DNS 1] installation bind"
apt-get install -y -qq bind9 > /dev/null

echo "[DNS 2] resolv.conf"
cat > /etc/resolv.conf << EOF
domain $DOMAINE
search $DOMAINE
nameserver $IP
nameserver 8.8.8.8
EOF

echo "[DNS 3] named.conf"
cat > /etc/bind/named.conf  << EOF
zone $DOMAINE {
 type master;
 file "/etc/bind/db.$DOMAINE";
};

EOF


echo "[DNS 4] db."$DOMAINE".conf"
cat > /etc/bind/db.$DOMAINE  << EOF
; BIND reverse data file for empty rfc1918 zone
;
; DO NOT EDIT THIS FILE - it is used for multiple zones.
; Instead, copy it, edit named.conf, and use that copy.
;
\$TTL	86400
@	IN	SOA	$HOSTNAME. root.$HOSTNAME. (
			      1		; Serial
			 604800		; Refresh
			  86400		; Retry
			2419200		; Expire
			  86400 )	; Negative Cache TTL
;

@   IN  NS  $HOSTNAME.$DOMAINE. 

$HOSTNAME     IN      A       $IP
pki    IN      A       192.168.56.11
DNS		IN	A	$IP
WEB		IN A 	192.168.56.12

EOF


echo "[DNS 4] restart bind"
systemctl restart bind9


echo 'FIN script Install_dns.sh' $HOSTNAME  $IP
